MatrixUndoCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixUndoCommand:

## Public Member Functions

| MatrixUndoCommand (MatrixModel *model, Matrix::Operation op, int startRow, int endRow, int startCol, int endCol, double *data, const QString &text)
virtual void | redo ()
virtual void | undo ()
| ~MatrixUndoCommand ()

## Protected Attributes

double * | d_data
int | d_end_col
int | d_end_row
MatrixModel * | d_model
Matrix::Operation | d_operation
int | d_start_col
int | d_start_row

## Constructor & Destructor Documentation

MatrixUndoCommand::MatrixUndoCommand | ( | MatrixModel * | model,
|  | Matrix::Operation | op,
|  | int | startRow,
|  | int | endRow,
|  | int | startCol,
|  | int | endCol,
|  | double * | data,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

MatrixUndoCommand::~MatrixUndoCommand | ( |  | ) |

inline

References d_data.

## Member Function Documentation

void MatrixUndoCommand::redo | ( |  | ) |

virtual

Reimplemented in MatrixImportAsciiCommand, MatrixSetImageCommand, and MatrixFftCommand.

References Matrix::Calculate, MatrixModel::calculate(), Matrix::Clear, MatrixModel::clear(), d_end_col, d_end_row, d_model, d_operation, d_start_col, d_start_row, MatrixModel::matrix(), Matrix::MuParserCalculate, MatrixModel::muParserCalculate(), and Matrix::resetView().

void MatrixUndoCommand::undo | ( |  | ) |

virtual

Reimplemented in MatrixSetImageCommand.

References MatrixModel::columnCount(), d_data, d_end_col, d_end_row, d_model, d_start_col, d_start_row, MatrixModel::dataVector(), MatrixModel::matrix(), and Matrix::resetView().

Referenced by MatrixSetImageCommand::undo().

## Member Data Documentation

double* MatrixUndoCommand::d_data

protected

Referenced by undo(), and ~MatrixUndoCommand().

int MatrixUndoCommand::d_end_col

protected

Referenced by redo(), undo(), and MatrixSetImageCommand::undo().

int MatrixUndoCommand::d_end_row

protected

Referenced by redo(), undo(), and MatrixSetImageCommand::undo().

MatrixModel* MatrixUndoCommand::d_model

protected

Referenced by redo(), MatrixFftCommand::redo(), MatrixSetImageCommand::redo(), MatrixImportAsciiCommand::redo(), undo(), and MatrixSetImageCommand::undo().

Matrix::Operation MatrixUndoCommand::d_operation

protected

Referenced by redo().

int MatrixUndoCommand::d_start_col

protected

Referenced by redo(), undo(), and MatrixSetImageCommand::undo().

int MatrixUndoCommand::d_start_row

protected

Referenced by redo(), undo(), and MatrixSetImageCommand::undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp